<ngx-loading [show]="loading" [config]="{
    backdropBackgroundColour: 'rgba(0, 0, 0, 0.3)',
    primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff', fullScreenBackdrop: true }"></ngx-loading>
<div class="card">
  <div class="card-header">
    <div class="page-header-title">
      <h4>Tambah Monitoring Alat Instrumen Medis</h4>
    </div>
  </div>
  <div class="card-block">
    <form [formGroup]="formMonAIM" (ngSubmit)="onSubmit()">
      <div class="dt-responsive dt-bootstrap4 row p-20">
        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label">Pilih Tanggal:</label>
          <div class="input-group">
            <input class="form-control" placeholder="yyyy-mm-dd" [(ngModel)]="modelPopup0" ngbDatepicker #d0="ngbDatepicker"
              id="dariTanggal" formControlName="TanggalMonitoring" readonly="true" (ngModelChange)="onSelectTanggal($event)">
            <div class="input-group-addon bg-default" (click)="d0.toggle()">
              <span class="icofont icofont-ui-calendar"></span>
            </div>
          </div>
          <span class="messages text-danger" *ngIf="!formMonAIM.get('TanggalMonitoring').valid && formMonAIM.get('TanggalMonitoring').touched"
            style="font-size: 10px">*
            Mohon Diisi</span>
        </div>
        <div class="col-md-5 col-xl-5 form-group">
          <label class="col-form-label">Nama Alat / Instrumen Medis</label>
          <angular2-multiselect formControlName="KodeAlatInstrumenMedis" [data]="dropdownListAIM" [(ngModel)]="selectedItemsAIM"
            [settings]="dropdownSettingsAIM" (onSelect)="onItemSelect($event)" (onDeSelect)="OnItemDeSelect($event)">
          </angular2-multiselect>
          <span class="messages text-danger" *ngIf="!formMonAIM.get('KodeAlatInstrumenMedis').valid && formMonAIM.get('KodeAlatInstrumenMedis').touched"
            style="font-size: 10px">* Mohon Diisi</span>
        </div>
        <div class="col-md-1 col-xl-1 form-group">
          <label class="col-form-label">P</label>
          <br />
          <div class="checkbox-fade fade-in-primary">
            <label>
              <input type="checkbox" id="Pagi" formControlName="Pagi">
              <span class="cr">
                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
              </span>
            </label>
          </div>
        </div>
        <div class="col-md-1 col-xl-1 form-group">
          <label class="col-form-label">S</label>
          <br />
          <div class="checkbox-fade fade-in-primary">
            <label>
              <input type="checkbox" id="Siang" formControlName="Siang">
              <span class="cr">
                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
              </span>
            </label>
          </div>
        </div>
        <div class="col-md-1 col-xl-1 form-group">
          <label class="col-form-label">M</label>
          <br />
          <div class="checkbox-fade fade-in-primary">
            <label>
              <input type="checkbox" id="Malam" formControlName="Malam">
              <span class="cr">
                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
              </span>
            </label>
          </div>
        </div>

        <div class="col-md-6 col-xl-6">&nbsp;</div>
        <div class="col-md-3 col-xl-3 form-group">
          <button type="submit" class="btn btn-success btn-sm btn-block text-center">
            <i class="icofont icofont-save"></i> Simpan
          </button>
        </div>
        <div class="col-md-3 col-xl-3 form-group">
          <button type="button" [routerLink]="['/listmonitoringAIM']" class="btn btn-danger btn-sm btn-block text-center">
            <i class="fa fa-arrow-left"> Kembali</i>
          </button>
        </div>
      </div>
    </form>
  </div>
</div>